FriBID forum

FriBID är ett fritt program för e-legitimation med BankID.

You are not logged in.

#1 2013-01-31 22:24:09

elestedt
Member
Registered: 2013-01-27

Frågar efter lösenord, visar inte kortet.

Hej,

Jag har äntligen fått opensc att identifiera mitt nya Handelsbanken-kort. Den hittar

$ pkcs15-tool -D
Using reader with a card: Handelsbanken card reader [MCI_OSR_0205] 00 00
PKCS#15 Card [BankID på kort, IP 4]:
<snip>
PIN [legitimera]
<snip>
Private RSA Key [legitimera]
<snip>
Private RSA Key [underteckna]
<snip>
X.509 Certificate [legitimera]
<snip>
X.509 Certificate [underteckna]
<snip>
X.509 Certificate [Bank CA]
<snip>
X.509 Certificate [e-kund CA]
<snip>

Men... av någon anledning så vill inte fribid visa något certifikat när jag försöker logga in på Försäkringskassan eller FriBID testsida.

Jag har tittat på tråden Lite tips på olika problem som kan ske och hur man rättar dem, tyvärr så funkade inte tipset med enable_pinpad = true; och som ni kan se ovan så hittar den kortet.

Någon ide på hur jag kan komma vidare?

Offline

#2 2013-03-02 16:24:53

garberg
Member
Registered: 2013-03-02

Re: Frågar efter lösenord, visar inte kortet.

Vill bara flika in att jag lider av samma problem.

Det har tidigare fungerat klockrent, men efter en längre period då jag inte använt FriBID (och uppdaterat stora delar av mitt system) så har jag nu samma problem som ovan. Tråden http://forum.fribid.se/viewtopic.php?id=41 verkar även den behandla samma problem.

Offline

#3 2013-03-25 09:46:15

Magnus
Member
Registered: 2013-03-25

Re: Frågar efter lösenord, visar inte kortet.

Hej,

även jag har problem med detta. Inte kört FriBID innan så jag har inget att jämföra med.

Tack ändå för en bra programvara, hoppas verkligen att detta går att lösa.

Offline

#4 2013-04-06 14:58:29

Qluripax
Member
Registered: 2011-05-19

Re: Frågar efter lösenord, visar inte kortet.

Får faktiskt (tyvärr) ställa mig i samma problemkö.
pkcs15-tool -D säger att kortläsaren är där snyggt och prydligt. Men i firefox firefox hittar inte fribid någon kortläsare. Kör Ubuntu 12.04 LTS och jag tror detta kom efter den senaste firefox uppgraderingen för någon dag sedan. Firefox är nu i version 20.

Vi har det här problemet på 4 skilda datorer men med 12.04 på dom alla. Vi har kört fribid länge och ofta så det här är något som har kommit nu. Inte en aning om var att felsöka...

Offline

#5 2013-04-07 21:44:25

lavika
Member
Registered: 2013-04-07

Re: Frågar efter lösenord, visar inte kortet.

Fick samma problem nyligen på min ubuntu precise (12.04).
Kortet hittades men pluginet visste inte av det utan ville ha ett lösenord.

Såg att fribid uppdaterats den 31 mars till v 1.0.2 och det var nog efter det som problemet uppstod.
I firefox var fortfarande versionen på pluginet 1.0.1a!

Jag laddade ner källkoden och kompilerade den själv.
Nu fungerar det igen och firefox visar plugin-version 1.0.2 som den borde.

Alltså verkar det vara nåt fel i ubuntu-paketen.

/Ulf

Offline

#6 2013-04-08 18:34:32

erijo
Member
Registered: 2012-04-10
Website

Re: Frågar efter lösenord, visar inte kortet.

lavika wrote:

Fick samma problem nyligen på min ubuntu precise (12.04).
Kortet hittades men pluginet visste inte av det utan ville ha ett lösenord.

Såg att fribid uppdaterats den 31 mars till v 1.0.2 och det var nog efter det som problemet uppstod.
I firefox var fortfarande versionen på pluginet 1.0.1a!

Jag laddade ner källkoden och kompilerade den själv.
Nu fungerar det igen och firefox visar plugin-version 1.0.2 som den borde.

Alltså verkar det vara nåt fel i ubuntu-paketen.

/Ulf

Tack! Jag hade samma problem och detta löste problemet för mig också. Nedan var vad jag gjorde för att få det att funka:

# mkdir fribid; cd fribid
# apt-get source fribid
# sudo apt-get build-dep fribid
# cd fribid-1.0.2+git20121129
# dpkg-buildpackage -uc -us
# cd ..; sudo dpkg -i 'fribid_1.0.2+git20121129-1~ppa1~precise_amd64.deb'

Offline

#7 2013-04-08 19:38:29

flagg
Member
Registered: 2013-04-06

Re: Frågar efter lösenord, visar inte kortet.

erijo wrote:
lavika wrote:

Fick samma problem nyligen på min ubuntu precise (12.04).
Kortet hittades men pluginet visste inte av det utan ville ha ett lösenord.

Såg att fribid uppdaterats den 31 mars till v 1.0.2 och det var nog efter det som problemet uppstod.
I firefox var fortfarande versionen på pluginet 1.0.1a!

Jag laddade ner källkoden och kompilerade den själv.
Nu fungerar det igen och firefox visar plugin-version 1.0.2 som den borde.

Alltså verkar det vara nåt fel i ubuntu-paketen.

/Ulf

Tack! Jag hade samma problem och detta löste problemet för mig också. Nedan var vad jag gjorde för att få det att funka:

# mkdir fribid; cd fribid
# apt-get source fribid
# sudo apt-get build-dep fribid
# cd fribid-1.0.2+git20121129
# dpkg-buildpackage -uc -us
# cd ..; sudo dpkg -i 'fribid_1.0.2+git20121129-1~ppa1~precise_amd64.deb'

Tack, funkar för mig (fast i386 ist för amd64).

Offline

#8 2013-04-09 18:00:01

Qluripax
Member
Registered: 2011-05-19

Re: Frågar efter lösenord, visar inte kortet.

Ja, tack. Så enkelt var det. smile

Offline

#9 2013-04-29 09:46:05

ivho
Member
Registered: 2012-02-09

Re: Frågar efter lösenord, visar inte kortet.

Samma lösning funkade för mig oxå. Jag körde dock med plain git versionen av käll-koden och configurerade själv till att lägga pluginsen i min hem katalog, så man slipper köra sudo.

Offline

#10 2013-04-29 18:17:01

erijo
Member
Registered: 2012-04-10
Website

Re: Frågar efter lösenord, visar inte kortet.

ivho wrote:

Samma lösning funkade för mig oxå. Jag körde dock med plain git versionen av käll-koden och configurerade själv till att lägga pluginsen i min hem katalog, så man slipper köra sudo.

Fördelen med att bygga om deb-paketet och installera det med dpkg är att när det kommer en ny version så kommer den installeras och man behöver inte komma ihåg att själv uppdatera.

Offline

#11 2013-08-28 08:35:05

muken
Member
Registered: 2011-09-08

Re: Frågar efter lösenord, visar inte kortet.

Anledningen till att det fungerar när det byggs direkt på datorn istället för i t.ex. pbuilder verkar vara att opensc redan är installerat när det byggs.

Jag gjorde en patch och byggde om med pbuilder och då fungerar det. Kanske Samuel kan uppdatera sina source-paket?

diff -Nru fribid-1.0.2+git20121129/debian/control fribid-1.0.2+git20121129-opensc-fix/debian/control
--- fribid-1.0.2+git20121129/debian/control     2013-03-31 20:27:26.000000000 +0200
+++ fribid-1.0.2+git20121129-opensc-fix/debian/control  2013-08-28 09:29:51.988504013 +0200
@@ -2,7 +2,7 @@
Section: web
Priority: optional
Maintainer: Samuel Lidén Borell <samuel@slbdata.se>
-Build-Depends: debhelper (>= 7.0.50~), pkg-config, gettext, libgtk2.0-dev (>= 2.18), libglib2.0-dev (>= 2.8), libssl-dev (>= 0.9.8), libp11-dev (>= 0.2.3), hardening-wrapper
+Build-Depends: debhelper (>= 7.0.50~), opensc, pkg-config, gettext, libgtk2.0-dev (>= 2.18), libglib2.0-dev (>= 2.8), libssl-dev (>= 0.9.8), libp11-dev (>= 0.2.3), hardening-wrapper
Standards-Version: 3.9.2
Homepage: https://www.fribid.se/
Vcs-Git: git://github.com/samuellb/fribid-debian.git

Offline

#12 2013-08-28 08:53:44

samuellb
Administratör
Registered: 2010-02-15
Website

Re: Frågar efter lösenord, visar inte kortet.

Ok, tack för felsökningsarbetet smile

Troligen är det en bugg någonstans i FriBID, för det ska inte spela någon roll om PKCS#11-modulen (OpenSC i detta fall) finns eller inte finns vid bygget.

Ska kolla mer på det när jag får tid.

Offline

Board footer

Powered by FluxBB